SCHEMA = {
  "typeName" : "AWS::ApiGateway::RequestValidator",
  "description" : "The ``AWS::ApiGateway::RequestValidator`` resource sets up basic validation rules for incoming requests to your API. For more information, see [Enable Basic Request Validation for an API in API Gateway](https://docs.aws.amazon.com/apigateway/latest/developerguide/api-gateway-method-request-validation.html) in the *API Gateway Developer Guide*.",
  "sourceUrl" : "https://github.com/aws-cloudformation/aws-cloudformation-resource-providers-apigateway",
  "additionalProperties" : False,
  "properties" : {
    "RequestValidatorId" : {
      "description" : "",
      "type" : "string"
    },
    "Name" : {
      "description" : "",
      "type" : "string"
    },
    "RestApiId" : {
      "description" : "",
      "type" : "string"
    },
    "ValidateRequestBody" : {
      "description" : "",
      "type" : "boolean"
    },
    "ValidateRequestParameters" : {
      "description" : "",
      "type" : "boolean"
    }
  },
  "required" : [ "RestApiId" ],
  "createOnlyProperties" : [ "/properties/Name", "/properties/RestApiId" ],
  "readOnlyProperties" : [ "/properties/RequestValidatorId" ],
  "tagging" : {
    "taggable" : False
  },
  "primaryIdentifier" : [ "/properties/RestApiId", "/properties/RequestValidatorId" ],
  "handlers" : {
    "create" : {
      "permissions" : [ "apigateway:POST", "apigateway:GET" ]
    },
    "update" : {
      "permissions" : [ "apigateway:PATCH", "apigateway:GET" ]
    },
    "delete" : {
      "permissions" : [ "apigateway:DELETE" ]
    },
    "read" : {
      "permissions" : [ "apigateway:GET" ]
    },
    "list" : {
      "handlerSchema" : {
        "properties" : {
          "RestApiId" : {
            "$ref" : "resource-schema.json#/properties/RestApiId"
          }
        },
        "required" : [ "RestApiId" ]
      },
      "permissions" : [ "apigateway:GET" ]
    }
  }
}