SCHEMA = {
  "sourceUrl" : "https://github.com/aws-cloudformation/aws-cloudformation-resource-providers-apigateway",
  "tagging" : {
    "taggable" : False
  },
  "handlers" : {
    "read" : {
      "permissions" : [ "apigateway:GET" ]
    },
    "create" : {
      "permissions" : [ "apigateway:POST" ]
    },
    "update" : {
      "permissions" : [ "apigateway:GET", "apigateway:PATCH" ]
    },
    "list" : {
      "permissions" : [ "apigateway:GET" ],
      "handlerSchema" : {
        "properties" : {
          "RestApiId" : {
            "$ref" : "resource-schema.json#/properties/RestApiId"
          }
        },
        "required" : [ "RestApiId" ]
      }
    },
    "delete" : {
      "permissions" : [ "apigateway:DELETE" ]
    }
  },
  "typeName" : "AWS::ApiGateway::Resource",
  "readOnlyProperties" : [ "/properties/ResourceId" ],
  "description" : "The ``AWS::ApiGateway::Resource`` resource creates a resource in an API.",
  "createOnlyProperties" : [ "/properties/PathPart", "/properties/ParentId", "/properties/RestApiId" ],
  "additionalProperties" : False,
  "primaryIdentifier" : [ "/properties/RestApiId", "/properties/ResourceId" ],
  "properties" : {
    "ParentId" : {
      "description" : "",
      "type" : "string"
    },
    "PathPart" : {
      "description" : "",
      "type" : "string"
    },
    "ResourceId" : {
      "description" : "",
      "type" : "string"
    },
    "RestApiId" : {
      "description" : "",
      "type" : "string"
    }
  },
  "required" : [ "ParentId", "PathPart", "RestApiId" ]
}