SCHEMA = {
  "typeName" : "AWS::ApplicationSignals::Discovery",
  "description" : "Resource Type definition for AWS::ApplicationSignals::Discovery",
  "sourceUrl" : "https://github.com/aws-cloudformation/aws-cloudformation-resource-providers-applicationsignals",
  "definitions" : {
    "AccountId" : {
      "description" : "The identifier for the specified AWS account.",
      "type" : "string",
      "maxLength" : 12,
      "minLength" : 12,
      "pattern" : "^[0-9]{12}$"
    }
  },
  "properties" : {
    "AccountId" : {
      "$ref" : "#/definitions/AccountId"
    }
  },
  "additionalProperties" : False,
  "required" : [ ],
  "readOnlyProperties" : [ "/properties/AccountId" ],
  "primaryIdentifier" : [ "/properties/AccountId" ],
  "handlers" : {
    "create" : {
      "permissions" : [ "application-signals:StartDiscovery", "application-signals:ListServices", "iam:CreateServiceLinkedRole" ]
    },
    "read" : {
      "permissions" : [ "application-signals:ListServices" ]
    },
    "update" : {
      "permissions" : [ "application-signals:ListServices" ]
    },
    "delete" : {
      "permissions" : [ "application-signals:ListServices" ]
    },
    "list" : {
      "permissions" : [ "application-signals:ListServices" ]
    }
  },
  "tagging" : {
    "taggable" : False
  }
}