SCHEMA = {
  "typeName" : "AWS::EC2::VPCBlockPublicAccessOptions",
  "description" : "Resource Type definition for AWS::EC2::VPCBlockPublicAccessOptions",
  "sourceUrl" : "https://github.com/aws-cloudformation/aws-cloudformation-resource-providers-ec2-vpcblockpublicaccessoptions.git",
  "tagging" : {
    "taggable" : False,
    "tagOnCreate" : False,
    "tagUpdatable" : False,
    "cloudFormationSystemTags" : False
  },
  "properties" : {
    "InternetGatewayBlockMode" : {
      "description" : "The desired Block Public Access mode for Internet Gateways in your account. We do not allow to create in a off mode as this is the default value",
      "type" : "string",
      "enum" : [ "block-bidirectional", "block-ingress" ]
    },
    "AccountId" : {
      "type" : "string",
      "description" : "The identifier for the specified AWS account."
    }
  },
  "additionalProperties" : False,
  "required" : [ "InternetGatewayBlockMode" ],
  "readOnlyProperties" : [ "/properties/AccountId" ],
  "primaryIdentifier" : [ "/properties/AccountId" ],
  "handlers" : {
    "create" : {
      "permissions" : [ "ec2:DescribeVpcBlockPublicAccessOptions", "ec2:ModifyVpcBlockPublicAccessOptions" ]
    },
    "read" : {
      "permissions" : [ "ec2:DescribeVpcBlockPublicAccessOptions" ]
    },
    "update" : {
      "permissions" : [ "ec2:DescribeVpcBlockPublicAccessOptions", "ec2:ModifyVpcBlockPublicAccessOptions" ]
    },
    "delete" : {
      "permissions" : [ "ec2:DescribeVpcBlockPublicAccessOptions", "ec2:ModifyVpcBlockPublicAccessOptions" ]
    }
  }
}